unit Boite1;

interface

uses Forms, StdCtrls, Buttons, Controls, ExtCtrls, Classes, WinTypes;

type
  TFormBoite1 = class(TForm)
    ListBox: TListBox;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    Bevel1: TBevel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure AjouteString;
    procedure AjouteObject;
    procedure DrawItem(Control: TWinControl; Index: Integer; Rect: TRect; State: TOwnerDrawState);
  private
    { Dclarations private }
  public
    TypeObject: Word;
    { Dclarations public }
  end;

var
  FormBoite1: TFormBoite1;

implementation

{$R *.DFM}

uses Dialogs,
        TNWObj, TNWUti, TNWGroup, TNWSvrPr, TNWFilPr, TNWSvrFi, TNWProf,
        Principa, Boite2, Boite8,
        NWConst2, Sb_Const;

procedure TFormBoite1.SpeedButton1Click(Sender: TObject);
var Compteur: Integer;
begin
    for Compteur := ListBox.Items.Count-1 downto 0 do
    if ListBox.Selected[Compteur] then
    begin
        ListBox.Items.Objects[Compteur].Free;
        ListBox.Items.Delete(Compteur);
    end;
end;


procedure TFormBoite1.SpeedButton2Click(Sender: TObject);
begin
    if (TypeObject = SB_CHAINE) then AjouteString
    else AjouteObject;
end;


procedure TFormBoite1.AjouteString;
var NouvelleValeur: String;
begin
    NouvelleValeur := '';
    if InputQuery('Ajout ', Caption, NouvelleValeur) then
    if (ListBox.Items.IndexOf(NouvelleValeur) <> -1) then
        MessageDlg(NouvelleValeur+' existe dj', mtError, [mbOk], 0)
    else
        ListBox.Items.Add(NouvelleValeur);
end;


procedure TFormBoite1.AjouteObject;
var Compteur: Integer;
    NouvelleValeur: String;
    ObjList2: TNWObject;
    NouveauObj: TNWObject;
begin
    Patientez.Show;
    Patientez.Update;
    Bindery.ChercheObjectsSB(FormBoite2.ListBox.Items, '*', TypeObject);
    Patientez.Hide;
    if FormBoite2.ShowModal = mrOK then
    begin
        for Compteur := 0 to FormBoite2.ListBox.Items.Count-1 do
        if FormBoite2.ListBox.Selected[Compteur] then
        begin
            NouvelleValeur := FormBoite2.ListBox.Items.Strings[Compteur];
            ObjList2 := TNWObject(FormBoite2.ListBox.Items.Objects[Compteur]);
            if (ListBox.Items.IndexOf(NouvelleValeur) = -1) then
            begin
                if (ObjList2 is TNWUtilisateur) then
                    NouveauObj := TNWUtilisateur.Create(ObjList2.Proprietaire, ObjList2.ObjID, ObjList2.ObjNom,
                                ObjList2.ObjType, 0, ObjList2.ObjFlags, ObjList2.ObjSecurite)
                else if (ObjList2 is TNWGroupe) then
                    NouveauObj := TNWGroupe.Create(ObjList2.Proprietaire, ObjList2.ObjID, ObjList2.ObjNom,
                                ObjList2.ObjType, 0, ObjList2.ObjFlags, ObjList2.ObjSecurite)
                else if (ObjList2 is TNWServeurImprimante) then
                    NouveauObj := TNWServeurImprimante.Create(ObjList2.Proprietaire, ObjList2.ObjID, ObjList2.ObjNom,
                                ObjList2.ObjType, 0, ObjList2.ObjFlags, ObjList2.ObjSecurite)
                else if (ObjList2 is TNWServeurFichier) then
                    NouveauObj := TNWServeurFichier.Create(ObjList2.Proprietaire, ObjList2.ObjID, ObjList2.ObjNom,
                                ObjList2.ObjType, 0, ObjList2.ObjFlags, ObjList2.ObjSecurite)
                else if (ObjList2 is TNWFileImpression) then
                    NouveauObj := TNWFileImpression.Create(ObjList2.Proprietaire, ObjList2.ObjID, ObjList2.ObjNom,
                                ObjList2.ObjType, 0, ObjList2.ObjFlags, ObjList2.ObjSecurite)
                else if (ObjList2 is TNWProfile) then
                    NouveauObj := TNWProfile.Create(ObjList2.Proprietaire, ObjList2.ObjID, ObjList2.ObjNom,
                                ObjList2.ObjType, 0, ObjList2.ObjFlags, ObjList2.ObjSecurite)
                else
                    NouveauObj := TNWObject.Create(ObjList2.Proprietaire, ObjList2.ObjID, ObjList2.ObjNom,
                                ObjList2.ObjType, 0, ObjList2.ObjFlags, ObjList2.ObjSecurite);
                ListBox.Items.AddObject(NouvelleValeur, NouveauObj);
            end;
        end;
    end;
end;


procedure TFormBoite1.DrawItem(Control: TWinControl; Index: Integer; Rect: TRect; State: TOwnerDrawState);
begin
    FormPrincipale.DrawItem(Control, Index, Rect, State);
end;

end.
