
{*******************************************************}
{                                                       }
{   Types                                               }
{   du Novell 4.0 Pour Borland DELPHI                   }
{                                                       }
{   Convertion du C au PASCAL                           }
{   par Couery Tanguy le 26/11/95                       }
{                                                       }
{   Pour le projet Novell Netware de 3me anne         }
{   (BRETIN David,COUERY Tanguy,GUILHEM Eric)           }
{                                                       }
{                                                       }
{*******************************************************}

unit NWTypes;

interface

uses TCalls,TNet,TIPXSPX;

type NWINT16=   integer;
type INT8=   char;
type INT16=   integer;
type INT32=   longint;
type UINT8=   byte;
type UINT16=   word;
type UINT32=   longint;
type Dword=   longint;

type FILE_ATTRIBUTES_MASK=   longint;
type NWACCESS_MODE=   byte;
type NWACCESS_RIGHTS=   byte;
type NWACCT_BALANCE=   longint;
type NWACCT_HOLDS=   word;
type NWACCT_LIMIT=   longint;
type NWADDR_LEN=   byte;
type NWADDR_TYPE=   byte;
type NWAES_COUNT=   word;
type NWAFP_ACCESS_PRIVILEGES=   word;
type NWAFP_ENTRY_ID=   longint;
type NWAFP_FILE_ATTRIBUTES=   word;
type NWAFP_FORK_LEN=   longint;
type NWAFP_NUM_OFFSPRING=   word;
type NWAPP_NUM=   word;
type NWASN1_ID=   Asn1ID_T;
type NWATTR=   longint;
type NWATTRIBUTES=   longint;
type NWATTR_INFO=   Attr_Info_T;
type NWAUDIT_BUF_SIZE=   word;
type NWAUDIT_CONN_ID=   longint;
type NWAUDIT_CONTAINER_BIT_MAP=   longint;
type NWAUDIT_DATA_LEN=   longint;
type NWAUDIT_DATE_TIME=   longint;
type NWAUDIT_DS_FLAG=   integer;
type NWAUDIT_EVENT=   word;
type NWAUDIT_FILE_CODE=   integer;
type NWAUDIT_FILE_HANDLE=   longint;
type NWAUDIT_FLAGS=   longint;
type NWAUDIT_LEVEL=   byte;
type NWAUDIT_NAME_SPACE=   longint;
type NWAUDIT_OBJ_SECURITY=   longint;
type NWAUDIT_PROCESS_ID=   longint;
type NWAUDIT_QUEUE_TYPE=   longint;
type NWAUDIT_RECORD_ID=   longint;
type NWAUDIT_REC_NUM=   longint;
type NWAUDIT_REPLICA_NUM=   word;
type NWAUDIT_STATUS_CODE=   longint;
type NWAUDIT_TRUSTEE_RIGHTS=   longint;
type NWAUDIT_VOL_NUM=   longint;
type NWAUGMENT=   word;
type NWBITS=   longint;
type NWBROADCAST_MODE=   word;
type NWBUF_SIZE=   word;
type NWCHANGE_BITS=   longint;
type NWCHANGE_TYPE=   longint;
type NWCHARGE_AMOUNT=   longint;
type NWCLASS_INFO=   Class_Info_T;
type NWCONFIG_DEFAULT_VALUE=   longint;
type NWCONFIG_ELEMENT_NUM=   integer;
type NWCONFIG_PARAM_TYPE=   integer;
type NWCONN_FLAGS=   word;
type NWCONN_NUM_WORD=   word;
type NWCONN_TYPE=   byte;
type NWCOUNT=   longint;
type NWCTLR_NUM=   byte;
type NWCTLR_TYPE=   byte;
type NWCURRENT_REC=   word;
type NWDATA_STREAM=   longint;
type NWDATE=   word;
type NWDATE_TIME=   longint;
type NWDELETE_TIME=   longint;
type NWDENY_COUNT=   word;
type NWDEVICE_ID=   word;
type NWDIR_ATTRIBUTES=   byte;
type NWDIR_BASE=   longint;
type NWDIR_ENTRY=   longint;
type NWDIR_ID=   byte;
type NWDIR_NUM=   word;
type NWDIR_SPACE=   longint;
type NWDIR_STAMP=   word;
type NWDIR_TRUSTEE_RIGHTS=   word;
type NWDIR_VOL=   byte;
type NWDISK_CHANNEL=   byte;
type NWDISK_DRV_TYPE=   byte;
type NWDISK_FLAGS=   word;
type NWDISK_NUM=   byte;
type NWDISK_SPACE=   longint;
type NWDISK_TYPE=   byte;
type NWDISTANCE=   word;
type NWDMA=   byte;
type NWDM_FLAGS=   longint;
type NWDRIVE_NUM=   word;
type NWDRIVE_NUMBER=   byte;
type NWDRV_COMMAND=   longint;
type NWDRV_CONFIG=   longint;
type NWDRV_FLAGS=   word;
type NWDRV_ID=   word;
type NWDRV_LINK=   longint;
type NWDRV_MEM=   longint;
type NWDRV_NAME=   longint;
type NWDRV_TAG=   longint;
type NWDRV_TYPE=   longint;
type NWDRV_VERSION=   byte;
type NWDSLEN=   longint;
type NWDS_BUFFER=   Buf_T;
type NWDS_EVENT=   longint;
type NWDS_FILTER_CURSOR=   Filter_Cursor_T;
type NWDS_FILTER_LEVEL=   word;
type NWDS_FILTER_NODE=   Filter_Node_T;
type NWDS_FLAGS=   longint;
type NWDS_ID=   integer;
type NWDS_INTERVAL=   longint;
type NWDS_ITERATION=   longint;
type NWDS_LOGIN_FILE=   integer;
type NWDS_NUM_OBJ=   longint;
type NWDS_OPERATION=   longint;
type NWDS_PRIVILEGES=   longint;
type NWDS_SEARCH_SCOPE=   word;
type NWDS_SESSION_KEY=   NWDS_Session_Key_T;
type NWDS_SIZE=   longint;
type NWDS_SYNTAX_FLAGS=   integer;
type NWDS_TOKEN=   word;
type NWDS_TYPE=   longint;
type NWDS_TYPE_LEVEL=   longint;
type NWDS_VALIDITY=   longint;
type NWDS_VALUE=   longint;
type NWEA=   NW_EA_HANDLE;
type NWEA_HANDLE=   longint;
type NWEA_KEY=   word;
type NWEA_KEY_LEN=   word;
type NWEA_KEY_OFFSET=   word;
type NWEA_SCAN=   NW_EA_FF_STRUCT;
type NWECB_CANCEL_COUNT=   word;
type NWELEMENT_VALUE=   integer;
type NWEMAIL_TYPE=   longint;
type NWFACTOR=   longint;
type NWFAT=   longint;
type NWFILE_ATTR=   byte;
type NWFILE_LEN=   longint;
type NWFILE_MODE=   byte;
type NWFILE_SYS_ID=   longint;
type NWFINDER_INFO=   byte;
type NWFLAGS=   byte;
type NWFORM_NUM=   byte;
type NWFORM_TYPE=   word;
type NWFRAG_SIZE=   word;
type NWFSE_CONN_TYPE=   longint;
type NWFSE_FLAGS=   longint;
type NWGLT_FAIL_COUNT=   word;
type NWHANDLE=   byte;
type NWHF_START=   longint;
type NWHOLDS_INFO=   HOLDS_INFO;
type NWHOLDS_STATUS=   HOLDS_STATUS;
type NWHOLD_AMOUNT=   longint;
type NWHOLD_CANCEL_AMOUNT=   longint;
type NWINFO_LEVEL=   longint;
type NWINTERRUPT=   byte;
type NWIO_MEM=   word;
type NWJOB_FLAGS=   word;
type NWJOB_HANDLE=   longint;
type NWJOB_POSITION=   byte;
type NWJOB_POSITION2=   word;
type NWJOB_TYPE=   word;
type NWLAN_NUM=   byte;
type NWLAST_RECORD=   integer;
type NWLEN=   longint;
type NWLENGTH=   word;
type NWLOCAL_FILE_HANDLE=   word;
type NWLOCAL_MODE=   word;
type NWLOCAL_SCOPE=   word;
type NWLOCK_COUNT=   word;
type NWLOCK_DATA_STREAM=   byte;
type NWLOCK_STATE=   byte;
type NWLOCK_TYPE=   byte;
type NWLPT=   byte;
type NWMAX_PACKET_SIZE=   word;
type NWMEDIA_MASK=   longint;
type NWMEDIA_TYPE=   longint;
type NWMEM_OFFSET=   word;
type NWMINUTES=   byte;
type NWMODULE_ID=   longint;
type NWNAME_LEN=   byte;
type NWNAME_SPACE=   byte;
type NWNAME_SPACE_TYPE=   longint;
type NWNET_ADDR=   byte;
type NWNET_ADDR_LEN=   longint;
type NWNET_ADDR_TYPE=   longint;
type NWNEXT_REQUEST=   word;
type NWNLM_ID=   longint;
type NWNLM_TYPE=   longint;
type NWNOTE_TYPE=   word;
type NWNS_ACCESS_MODE=   word;
type NWNS_ACCESS_RIGHTS=   word;
type NWNS_ATTR=   word;
type NWNS_BITS=   word;
type NWNS_DATA_STREAM=   byte;
type NWNS_DATA_STREAM2=   word;
type NWNS_FLAGS=   word;
type NWNS_HANDLE=   longint;
type NWNS_LIST_SIZE=   byte;
type NWNS_MASK=   longint;
type NWNS_NUM=   byte;
type NWNS_TYPE=   word;
type NWNUM=   longint;
type NWNUMBER=   word;
type NWNUMBER_ENTRIES=   byte;
type NWNUM_BLOCKS=   longint;
type NWNUM_BUFFERS=   word;
type NWNUM_BYTES=   longint;
type NWNUM_CONNS=   byte;
type NWNUM_COPIES=   byte;
type NWNUM_DIR_ENTRIES=   longint;
type NWNUM_DRIVES=   byte;
type NWNUM_ELEMENTS=   integer;
type NWNUM_ENTRIES=   word;
type NWNUM_FORKS=   byte;
type NWNUM_HEADS=   byte;
type NWNUM_HOPS=   word;
type NWNUM_PACKETS=   longint;
type NWNUM_REQUESTS=   longint;
type NWNUM_SECTORS=   byte;
type NWNUM_TRANSACTIONS=   byte;
type NWOBJECT_INFO=   Object_Info_T;
type NWOBJ_ID=   longint;
type NWOBJ_TYPE=   word;
type NWOFFSET=   longint;
type NWOPEN_COUNT=   word;
type NWOPTION_NUM=   byte;
type NWOS_REVISION=   word;
type NWOS_VERSION=   word;
type NWPATH_SIZE=   word;
type NWPATH_VOL=   byte;
type NWPOSITION=   longint;
type NWPRINTER=   word;
type NWPRINT_FLAGS=   word;
type NWPRINT_TASK=   longint;
type NWPROTOCOL_MASK=   longint;
type NWPROTOCOL_VERSION=   byte;
type NWQMS_HANDLE=   longint;
type NWQMS_TASK=   longint;
type NWREC_OFFSET=   word;
type NWREPLICA_NUM=   longint;
type NWREPLICA_TYPE=   longint;
type NWREQUESTER_VERSION=   byte;
type NWREQUEST_MASK=   word;
type NWRESERVED16=   longint;
type NWRESERVED32=   longint;
type NWREVISION=   longint;
type NWRIGHTS=   longint;
type NWRIGHTS_MASK=   word;
type NWSEARCH_ATTR=   byte;
type NWSEARCH_ATTRIBUTES=   word;
type NWSEARCH_CONTEXT=   word;
type NWSEARCH_MASK=   word;
type NWSECONDS=   longint;
type NWSEGMENT_NUM=   byte;
type NWSEM_HANDLE=   longint;
type NWSEM_INT=   integer;
type NWSEM_VALUE=   word;
type NWSEQUENCE=   longint;
type NWSEQUENCE_NUM=   word;
type NWSEQ_NUM=   byte;
type NWSERVER_NAME_LEN=   word;
type NWSERVER_TYPE=   word;
type NWSERVICE_VERSION=   byte;
type NWSESSION_ID=   word;
type NWSIZE=   longint;
type NWSOCKET_COUNT=   word;
type NWSPX_COUNT=   word;
type NWSTATION_NUM=   byte;
type NWSTATION_NUM2=   longint;
type NWSTATS_VERSION=   byte;
type NWSTATUS=   longint;
type NWSTRUCT_SIZE=   word;
type NWSUPPORT_LEVEL=   byte;
type NWSYNTAX_ID=   longint;
type NWSYNTAX_INFO=   Syntax_Info_T;
type NWSYS_TIME=   longint;
type NWTAB=   byte;
type NWTASK=   word;
type NWTASK_COUNT=   byte;
type NWTASK_NUM=   word;
type NWTASK_STATE=   byte;
type NWTDS=   word;
type NWTDS_OFFSET=   word;
type NWTICKS=   word;
type NWTIME=   word;
type NWTRAN_TYPE=   byte;
type NWTRUSTEE_SEQUENCE_NUM=   word;
type NWUSE_COUNT=   word;
type NWUTILIZATION=   longint;
type NWVCONSOLE_REVISION=   byte;
type NWVCONSOLE_VERSION=   byte;
type NWVERSION=   longint;
type NWVOL=   longint;
type NWVOL_FLAGS=   word;
type NWVOL_NUM=   word;
type NWVOL_NUMBER=   byte;
type NWVOL_TYPE=   longint;
type TRUSTEE_RIGHTS=   longint;
type NWCONN_HANDLE=   word;
type NWCONN_ID=   word;
type NWCONN_NUM=   word;
type NWCCODE=   word;
type NWFILE_HANDLE=   word;
type NWFILE_HANDLEINT=   integer;
type NWWORD=   word;
type NWCONN_ID_BYTE=   byte;
type NWCONN_NUM_LONG=   longint;
type NWCONN_NUM_BYTE=   byte;
type NWDIR_HANDLE=   byte;
type NWDSCCODE=   integer;
type NWUNSIGNED=   longint;

implementation

end.
